#### D.5.17.5 Grassmannian

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  Grassmannian(k,n); k int, n int

Return:
  variety

Theory:
  create a Grassmannian G(k,n) as an abstract variety. This abstract variety has diemnsion k(n-k) and its Chow ring is the quotient ring of a polynomial ring in n-k variables q(1),...,q(n-k), which are the Chern classes of tautological quotient bundle on G(k,n), modulo some ideal generated by n-k polynomials which come from the Giambelli formula. The monomial ordering of this Chow ring is 'wp' with vector (1..k,1..n-k). Moreover, we export the Chern characters of tautological subbundle and quotient bundle on G(k,n)
  (say 'subBundle' and 'quotientBundle').

Example:

    LIB "schubert.lib";
    variety G24 = Grassmannian(2,4);
    G24;
    ==> A variety of dimension 4
    ==>
    def r = G24.baseRing;
    setring r;
    subBundle;
    ==> 1/6*q(1)*q(2)-1/2*q(1)^2+q(2)-q(1)+2
    quotientBundle;
    ==> -1/6*q(1)*q(2)+1/2*q(1)^2-q(2)+q(1)+2
    G24.dimension;
    ==> 4
    G24.relations;
    ==> _[1]=q(1)^3-2*q(1)*q(2)
    ==> _[2]=q(1)^4-3*q(1)^2*q(2)+q(2)^2
    ChowRing(G24);
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 2
    ==> //        block   1 : ordering wp
    ==> //                  : names    q(1) q(2)
    ==> //                  : weights     1    2
    ==> //        block   2 : ordering C
    ==> // quotient ring from ideal ...

See also: projectiveBundle; projectiveSpace.

User manual for Singular version 4.4.1, 2025, generated by texi2html.